/* Transport Layer Multicast Floor Control userFloorRequest class
 * Created on January 30, 2002
 * @author  mpullen & students
 * @version 1.0
 */
/*----------------------------------------------------------------*
|      Copyright 2001 Networking and Simulation Laboratory        |
|         George Mason University, Fairfax, Virginia              |
|                                                                 |
| Permission to use, copy, modify, and distribute this            |
| software and its documentation for academic purposes is hereby  |
| granted without fee, provided that the above copyright notice   |
| and this permission appear in all copies and in supporting      |
| documentation, and that the name of George Mason University     |
| not be used in advertising or publicity pertaining to           |
| distribution of the software without specific, written prior    |
| permission. GMU makes no representations about the suitability  |
| of this software for any purposes.  It is provided "AS IS"      |
| without express or implied warranties.  All risk associated     |
| with use of this software is expressly assumed by the user.     |
 *----------------------------------------------------------------*/
/*Transport Layer Multicast Floor control( TLMFC)
   initial Version by Parupalli Manjeera FALL:2002(01/30/02)

  Implemented: Class to store the user specific information.

*************************************************************************************/
import java.io.*;

public class UserFloorRequest implements Serializable
{
   private byte[] username;
   private int hostIndex;
   private int requestNumber;

   public UserFloorRequest(String pUsername, int pHostIndex, int pRequestNumber)
   {
      username = new byte[8];
      username = pUsername.getBytes();
      hostIndex = pHostIndex;
      requestNumber = pRequestNumber;
   }

   public String getUsername()
   {
      String name = new String(username);
      return(name);
   }

   public int getHostIndex()
   {
      return(hostIndex);
   }

   public int getRequestNumber()
   {
      return(requestNumber);
   }
} // end class UserFloorRequest

